---

# Install package needs to be done with package manager
# cause generic 'package' module don't accept local rpms/deb packages

- name: Install lustre client packages (debian)
  apt:
    deb: "{{ lustre_client_pkg_dir }}/{{ item }}"
    state: present
  loop: "{{ lustre_client_packages }}"
  when:
    - ansible_connection != 'docker'
    - ansible_os_family == 'Debian'

- name: Install lustre client packages (RedHat 7)
  yum:
    name: "{{ lustre_client_pkg_dir }}/{{ item }}"
    state: present
  loop: "{{ lustre_client_packages }}"
  when:
    - ansible_os_family == 'RedHat'
    - ansible_distribution_major_version == '7'
    - ansible_connection != 'docker'

#  - name: Install lustre client packages (RedHat 8)
#    dnf:
#      name: "{{ item }}"
#      state: present
#      enablerepo: "PowerTools"  # Option only with dnf module
#    loop: "{{ lustre_client_packages }}"
#    when:
#      - ansible_os_family == 'RedHat'
#      - ansible_distribution_major_version == '8'
